#pragma once

class IIntervalInitInfo : public Eyw::IDatatypeInitInfo
{
	EYW_DECLARE_INTERFACE( IIntervalInitInfo );

public:
};

class IInterval : public Eyw::IDatatype
{
	EYW_DECLARE_INTERFACE( IInterval );

public:
	// Add here the API of the new datatype
	virtual void SetMin( double val ) = 0;
	virtual void SetMax( double max ) = 0;
	virtual double GetMin() const = 0;
	virtual double GetMax() const = 0;
};

EYW_SMART_POINTERS(IInterval, interval );
EYW_DATATYPE_TRAITS( IInterval, "EywWeek2010", "Interval" );
