#include "stdafx.h"
#include "resource.h"
#include "Signature.h"

using namespace Eyw;

static catalog_class_registrant gCatalog( 
	catalog_class_registrant::catalog_id( EYW_EYWWEEK2010_CATALOG_ID )
		.begin_language( EYW_LANGUAGE_US_ENGLISH )
			.name( "EywWeek2010" )
			.description( "A catalog containing objects developed during EywWeek 2010" )
			.bitmap( IDB_EYWWEEK2010_CATALOG )
		.end_language()	
	);

static company_registrant gCompany( 
	company_registrant::company_id( EYW_EYWWEEK2010_COMPANY_ID )
		.begin_language( EYW_LANGUAGE_US_ENGLISH )
			.name( "InfoMus" )
			.description( "InfoMus Lab dist, univ of genoa" )
		.end_language()	
	);

static licence_registrant gLicense( 
	licence_registrant::licence_id( EYW_EYWWEEK2010_LICENSE_ID )
		.begin_language( EYW_LANGUAGE_US_ENGLISH )
			.name( "EywWeek2010 Licence" )
			.description( "This catalog has the same license of EyesWeb XMI" )
		.end_language()	
	);

static author_registrant gAuthor( 
	author_registrant::author_id( EYW_EYWWEEK2010_CATALOG_AUTHOR_ID )
		.begin_language( EYW_LANGUAGE_US_ENGLISH )
			.name( "Paolo" )
			.description( "Paolo Coletta" )
		.end_language()	
	);


